Discards a To-Do Edit

DELETE /api/sync/v1/todos/edit/{editToDoId}

Operation id: discardClonedTodo

Description

This API can be used to discard the changes made in the clone to-do created using the CLONE API. This API allows the user to create another clone of the LAUNCHED to-do; if the existing clone has wrong changes and it needs to be discarded.

Only the active clone to-do where the changes are being still done, can be discarded using this API. Once the clone to-do is merged with original to-do, the DISCARD API cannot be used for removing the changes from that clone to-do.

Tags: To-Do APIs

Parameters

Path parameters

NameTypeRequiredDescription
editToDoIdinteger (int32)Yes

Security

  • Bearer (http / bearer)
    • enter the client service token value.

Responses

200 — To-Do discarded successfully

Content type: application/json

400 — Bad request

404 — Original Todo not found

500 — Internal server error

Response models

200 — To-Do discarded successfully

Content type: application/json

Schema

PropertyTypeRequiredDescription
messagestringNoresponse message
statusstringNoresponse status
statusCodeinteger (int32)Noresponse status code
debugErrorMessagestringNoerror message
messageCodestringNomessage codes
messageParamsarrayNomessage Parameters
dataobjectNo
taskIdinteger (int32)Noidentifier of task
{
  "type": "object",
  "properties": {
    "message": {
      "type": "string",
      "description": "response message"
    },
    "status": {
      "type": "string",
      "description": "response status",
      "enum": [
        "SUCCESS",
        "FAIL",
        "BAD_REQUEST",
        "NO_CONTENT",
        "UNAUTHORIZED",
        "FORBIDDEN",
        "NOT_FOUND",
        "INTERNAL_SERVER_ERROR",
        "UNSUPPORTED_MEDIA_TYPE"
      ]
    },
    "statusCode": {
      "type": "integer",
      "format": "int32",
      "description": "response status code"
    },
    "debugErrorMessage": {
      "type": "string",
      "description": "error message"
    },
    "messageCode": {
      "type": "string",
      "description": "message codes",
      "items": {
        "type": "string",
        "example": [
          "ERROR01- Start date can not be in the past.",
          "ERROR02-Due date can not be in the past.",
          "ERROR03-Due date should be after the start date.",
          "ERROR04-Please add an assignee before [launching/submitting] To-Do",
          "ERROR05-Visible date can not be in the past.",
          "ERROR06-Title can not exceed 120 characters.",
          "ERROR07-File name can not exceed 120 characters.",
          "ERROR08-Please select a priority.",
          "ERROR09-Please select a due date.",
          "ERROR403_02-You do not have permission to perform this action.",
          "ERROR403_05-You do not have permission to perform this action.",
          "ERROR403_06-You do not have permission to perform this action.",
          "ERROR40-Error creating To-Do."
        ]
      }
    },
    "messageParams": {
      "type": "array",
      "description": "message Parameters",
      "items": {
        "type": "string"
      }
    },
    "data": {
      "type": "object"
    },
    "taskId": {
      "type": "integer",
      "format": "int32",
      "description": "identifier of task"
    }
  }
}